### org.jfree.layouting.layouter.style.functions

# Class FunctionFactory

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.functions.FunctionFactory`

`public class FunctionFactory`
`extends java.lang.Object`

Creation-Date: 16.04.2006, 14:15:37

Author:
  Thomas Morgner

  ## Field Summary

  `static String`

  `CONTENT_FUNCTIONS_KEY_RANGE`

  `static String`

  `VALUE_FUNCTIONS_KEY_RANGE`

  ## Method Summary

  `ContentFunction`

  `getContentFunction(String name)`

  `static FunctionFactory`

  `getInstance()`

  `StyleValueFunction`

  `getStyleFunction(String name)`

  `void`

  `registerDefault()`

## Field Details

### CONTENT_FUNCTIONS_KEY_RANGE

    public static final String CONTENT_FUNCTIONS_KEY_RANGE

### VALUE_FUNCTIONS_KEY_RANGE

    public static final String VALUE_FUNCTIONS_KEY_RANGE

## Method Details

### getContentFunction

    public ContentFunction getContentFunction(String name)

### getInstance

    public static FunctionFactory getInstance()

### getStyleFunction

    public StyleValueFunction getStyleFunction(String name)

### registerDefault

    public void registerDefault()